package com.interpress_project.modernshare.client.controller.delegate.exceptions;

/**
 * @stereotype exception
 */
@SuppressWarnings("serial")
public final class InternalFailException extends Exception {
	/**
	 * Constructor
	 */
	public InternalFailException() {
		super("");
	}

	public InternalFailException(String msg, Throwable ex) {
		super(msg, ex);
	}

	public InternalFailException(String msg) {
		super(msg);
	}

	public InternalFailException(Throwable ex) {
		super(ex);
	}
}